# General Simulation Framework

<!-- PROJECT SHIELDS -->

[![made-with-python](https://img.shields.io/badge/Made%20with-Python-1f425f.svg)](https://www.python.org/)
[![made-with-sphinx-doc](https://img.shields.io/badge/Made%20with-Sphinx-1f425f.svg)](https://www.sphinx-doc.org/)
[![Open In Collab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/drive/1tJOnpvKK9jZRpqFwAezlwRv1eRthU0tP?usp=sharing)
[![PyPi version](https://badgen.net/pypi/v/general-simulation-framework/)](https://pypi.org/project/general-simulation-framework/)
[![GitHub license](https://img.shields.io/github/license/Naereen/StrapDown.js.svg)](https://github.com/RolandoAndrade/general-simulation-framework/blob/master/LICENSE)




<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/RolandoAndrade/general-simulation-framework/">
    <img src="https://avatars.githubusercontent.com/u/85317571" alt="Logo" width="80" height="80">
  </a>

  <h3 align="center">General Simulation Framework</h3>

  <p align="center">
    Framework for general purpose simulations
    <br />
    <a href="https://rolandoandrade.github.io/general-simulation-framework/"><strong>Explore the docs »</strong></a>
    <br />
    <br />
    <a href="https://colab.research.google.com/drive/1tJOnpvKK9jZRpqFwAezlwRv1eRthU0tP?usp=sharing">View Demo</a>
    ·
    <a href="https://github.com/RolandoAndrade/general-simulation-framework/issues">Report Bug</a>
    ·
    <a href="https://github.com/RolandoAndrade/general-simulation-framework/issues">Request Feature</a>
  </p>




<!-- TABLE OF CONTENTS -->
<details open="open">
  <summary><h2 style="display: inline-block">Table of Contents</h2></summary>
  <ol>
    <li>
      <a href="#about-the-project">About The Project</a>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## About The Project

GSF is a framework for the implementation of simulation tools which offers the possibility 
of using and extending the same components to generate a wide variety of simulation projects. 
Its use makes it possible to dispense with the knowledge of several simulation processes, 
save programming time and maintain a standard structure in the developed solutions.

<!-- GETTING STARTED -->
## Getting Started

To get a local copy up and running follow these simple steps.

### Prerequisites

* Python >= 3.9

### Installation

Download and install by pip:

   ```sh
   pip install general-simulation-framework
   ```



<!-- USAGE EXAMPLES -->
## Usage
You can run the examples in [Colaboratory](https://colab.research.google.com/drive/1tJOnpvKK9jZRpqFwAezlwRv1eRthU0tP?usp=sharing).

For more information, please refer to the [Documentation](https://example.com)


<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/your_feature`)
3. Commit your Changes (`git commit -m 'Add a feature'`)
4. Push to the Branch (`git push origin feature/your_feature`)
5. Open a Pull Request

<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- CONTACT -->
## Contact

RolandoAndrade - [GitHub](https://github.com/RolandoAndrade)

Project Link: [General Simulation Framework](https://github.com/RolandoAndrade/general-simulation-framework)



<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/github_username/repo.svg?style=for-the-badge
[contributors-url]: https://github.com/RolandoAndrade/general-simulation-framework/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/github_username/repo.svg?style=for-the-badge
[forks-url]: https://github.com/github_username/repo_name/network/members
[stars-shield]: https://img.shields.io/github/stars/github_username/repo.svg?style=for-the-badge
[stars-url]: https://github.com/github_username/repo_name/stargazers
[issues-shield]: https://img.shields.io/github/issues/github_username/repo.svg?style=for-the-badge
[issues-url]: https://github.com/github_username/repo_name/issues
[license-shield]: https://img.shields.io/github/license/github_username/repo.svg?style=for-the-badge
[license-url]: https://github.com/RolandoAndrade/general-simulation-framework/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://linkedin.com/in/github_username